# SPDX-License-Identifier: GPL-3.0-or-later
#
# riddance: Designed to remove bloatware and augment freedom
# Copyright (C) 2024  Rylan Justice
#
# This file is part of riddance.
#
# riddance is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# riddance is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with riddance.  If not, see <https://www.gnu.org/licenses/>.

"""Pre-installed packages
for Fedora Linux (Workstation Edition) with GNOME."""

packages_38_we = {
    "baobab": "Disk Usage Analyzer and Photos",
    "cheese": "Cheese",
    "desktop-backgrounds-gnome": "Fedora 38 backgrounds",
    "eog": "Image Viewer",
    "evince": "Document Viewer",
    "fedora-bookmarks": "Fedora bookmarks for Firefox",
    "fedora-chromium-config": "Fedora customizations for Chrome and Chromium",
    "fedora-workstation-backgrounds": "Fedora Workstation backgrounds",
    "gnome-abrt": "Problem Reporting",
    "gnome-backgrounds": "GNOME Backgrounds",
    "gnome-boxes": "Boxes",
    "gnome-calculator": "Calculator",
    "gnome-calendar": "Calendar",
    "gnome-characters": "Characters",
    "gnome-clocks": "Clocks",
    "gnome-color-manager": "GNOME Color Manager",
    "gnome-connections": "Connections",
    "gnome-contacts": "Contacts",
    "gnome-disk-utility": "Disks",
    "gnome-font-viewer": "Fonts",
    "gnome-initial-setup": "GNOME Initial Setup",
    "gnome-logs": "Logs",
    "gnome-maps": "Maps",
    "gnome-shell-extension-background-logo": "Fedora background logo",
    "gnome-system-monitor": "System Monitor",
    "gnome-terminal": "Terminal",
    "gnome-text-editor": "Text Editor",
    "gnome-themes-extra": "GNOME Extra Themes",
    "gnome-tour": "Tour",
    "gnome-user-docs": "GNOME User Documentation",
    "gnome-weather": "Weather",
    "ibus-anthy": "Anthy",
    "ibus-hangul": "ibus-hangul",
    "ibus-libzhuyin": "Zhuyin",
    "ibus-typing-booster": "Typing Booster",
    "libpinyin": "Pinyin",
    "libreoffice-core": "LibreOffice Calc, LibreOffice Impress, and LibreOffice Writer",
    "m17n-lib": "Ibus M17N",
    "malcontent-control": "Parental Controls",
    "mediawriter": "Fedora Media Writer",
    "mozilla-filesystem": "Firefox",
    "nautilus": "Files",
    "rhythmbox": "Rhythmbox",
    "simple-scan": "Document Scanner",
    "totem": "Videos",
    "yelp": "Help",
}

packages_39_we = {
    "baobab": "Disk Usage Analyzer",
    "cheese": "Cheese",
    "desktop-backgrounds-gnome": "Fedora 39 backgrounds",
    "evince": "Document Viewer",
    "fedora-bookmarks": "Fedora bookmarks for Firefox",
    "fedora-chromium-config": "Fedora customizations for Chrome and Chromium",
    "fedora-workstation-backgrounds": "Fedora Workstation backgrounds",
    "gnome-abrt": "Problem Reporting",
    "gnome-backgrounds": "GNOME Backgrounds",
    "gnome-boxes": "Boxes",
    "gnome-calculator": "Calculator",
    "gnome-calendar": "Calendar",
    "gnome-characters": "Characters",
    "gnome-clocks": "Clocks",
    "gnome-color-manager": "GNOME Color Manager",
    "gnome-connections": "Connections",
    "gnome-contacts": "Contacts",
    "gnome-disk-utility": "Disks",
    "gnome-font-viewer": "Fonts",
    "gnome-initial-setup": "GNOME Initial Setup",
    "gnome-logs": "Logs",
    "gnome-maps": "Maps",
    "gnome-shell-extension-background-logo": "Fedora background logo",
    "gnome-system-monitor": "System Monitor",
    "gnome-terminal": "Terminal",
    "gnome-text-editor": "Text Editor",
    "gnome-tour": "Tour",
    "gnome-user-docs": "GNOME User Documentation",
    "gnome-weather": "Weather",
    "ibus-anthy": "Anthy",
    "ibus-hangul": "ibus-hangul",
    "ibus-libzhuyin": "Zhuyin",
    "ibus-typing-booster": "Typing Booster",
    "libpinyin": "Pinyin",
    "libreoffice-core": "LibreOffice Calc, LibreOffice Impress, and LibreOffice Writer",
    "loupe": "Image Viewer",
    "m17n-lib": "Ibus M17N",
    "malcontent-control": "Parental Controls",
    "mediawriter": "Fedora Media Writer",
    "mozilla-filesystem": "Firefox",
    "nautilus": "Files",
    "rhythmbox": "Rhythmbox",
    "simple-scan": "Document Scanner",
    "totem": "Videos",
    "yelp": "Help",
}
